Subject: Re: rm and mv commands: should I use them?

From: Jeff King <[email-masked]>
Date: Sun, 6 Jan 2008 20:55:19 -0500

On Sun, Jan 06, 2008 at 11:22:50AM -0800, Linus Torvalds wrote:

> > So, do I need to use git's mv and rm commands?
> 
> Nope.
> 
> They are there only to
> 
>  (a) make people who are used to do "svn mv" not complain
> 
>  (b) simplify things a little teeny bit, by avoiding having to "git add" 
>      the new file.

I haven't looked to see if this optimization is in place, but "git mv"
can also avoid having to recompute the sha1 of the file (which in most
cases doesn't matter, but on a large file with a cold cache, can make
the operation seem just as snappy as a regular "mv").

-Peff